.. _changelog-7-4:

**************************
 MapServer 7.4 Changelog
**************************

The summary of major changes for this release can be found in the `HISTORY.TXT <https://github.com/mapserver/mapserver/blob/branch-7-4/HISTORY.TXT>`__
file from the source directory.

Note: 7.4.0-rc2 was released as the final 7.4.0 release.


.. _changelog-7.4.0-rc2:

Changes from 7.4.0-rc1 to 7.4.0-rc2
=====================================

* Update expected output from several tests (Erik Ravhed) : `04d0a73 <https://github.com/mapserver/mapserver/commit/04d0a73ba4ed7ae3a3bc274805ee68e6adfc350b>`__
* Fix reference to TEMPPATH in SLD error message (Dan Baston) : `bed2514 <https://github.com/mapserver/mapserver/commit/bed25141ea915fe3c03cea57e9ace9c7c6688cf2>`__

.. _changelog-7.4.0-rc1:

Changes from 7.4.0-beta2 to 7.4.0-rc1
=====================================

* Clean-up PHPNG MapScript build process (sethg) : `f627a7c <https://github.com/mapserver/mapserver/commit/f627a7c946940e6b5a67ce0f661f1ba55b557d39>`__
* GML:Name is now encoded in WMS GetFeatureInfo (fixes  `#5361 <https://github.com/mapserver/mapserver/issues/5361>`__ ) (Erik Ravhed) : `74e373a <https://github.com/mapserver/mapserver/commit/74e373a59e38178c639713fe945f0399263e2c45>`__

.. _changelog-7.4.0-beta2:

Changes from 7.4.0-beta1 to 7.4.0-beta2
=======================================

* Fix potential XSS issue with [layers] tag. (Steve Lime) : `8b431a8 <https://github.com/mapserver/mapserver/commit/8b431a881e89b632c291e8db1dc7a1435bdc8688>`__
* image error checking, enable msIO_getAndStripStdoutBufferMimeHeaders, new tests (andy) : `bfcce38 <https://github.com/mapserver/mapserver/commit/bfcce38bc1dc1d505aa30170340cda33814eaa36>`__
* Removed redundant code (Erik Ravhed) : `3ef811a <https://github.com/mapserver/mapserver/commit/3ef811adda60a54bbdc87d442ed61af9fa065e3a>`__
* PHP bindings: remove unused php_proj.c which uses removed projects.h PROJ API (Even Rouault) : `1d0d0e0 <https://github.com/mapserver/mapserver/commit/1d0d0e069f98cbe4fcf15bc7219c6c9eb4442485>`__
* Another small workaround to all PHP/MapScript to compile against Proj 1.6.0. (Steve Lime) : `b4b680d <https://github.com/mapserver/mapserver/commit/b4b680d45b931be71a9b7e25c8be0604bb966344>`__
* fix perl examples (andy) : `37815bb <https://github.com/mapserver/mapserver/commit/37815bbf36fee339716f70247fbfbc68b86dfa5c>`__
* set PERL5LIB, fix paths (andy) : `774bc1d <https://github.com/mapserver/mapserver/commit/774bc1de457bdb654940910f3b4b7c19c7cc61ca>`__
* Update SWIG to 3.0.12 (sethg) : `380f5a2 <https://github.com/mapserver/mapserver/commit/380f5a20d9a1f9b835d607d24a89ab92806cfe77>`__
* need a dash (andy) : `a10dce2 <https://github.com/mapserver/mapserver/commit/a10dce2ffbc00d1f7446c0369fdc9291044d55c1>`__
* add perl to travis, run some tests (andy) : `e7a42a6 <https://github.com/mapserver/mapserver/commit/e7a42a6fb509a3bec8effce58559cfc27c126a02>`__
* Improve the layer extent calculation of the MSSQL driver ( `#5781 <https://github.com/mapserver/mapserver/issues/5781>`__ ) (Tamas Szekeres) : `866773b <https://github.com/mapserver/mapserver/commit/866773bc54c796e3b157dfee1de5127a3b16ec22>`__
* Feature names with dots are now supported for feature id filtering (fixes  `#5741 <https://github.com/mapserver/mapserver/issues/5741>`__ ) (Erik Ravhed) : `b8139f2 <https://github.com/mapserver/mapserver/commit/b8139f21efbf6be27532438c026818e69b23af1c>`__
* Add sampling along diagonal for rectangle as polygon reprojection (Erik Ravhed) : `a84b676 <https://github.com/mapserver/mapserver/commit/a84b6763ef7c343e3e9fe17e2b8059bd55f614a0>`__
* Update SWIG to 3.0.12 (sethg) : `7131547 <https://github.com/mapserver/mapserver/commit/713154705e435857fd3b5df0a618b9f1dcd40ba4>`__
* Fix variables set by find_package(PHP). (Bas Couwenberg) : `c6d5851 <https://github.com/mapserver/mapserver/commit/c6d5851fa8bbed02a5545ec199d3452c07bec05b>`__
* Add shebang to Python MapScript example scripts. (Bas Couwenberg) : `b972c46 <https://github.com/mapserver/mapserver/commit/b972c466e6c141693a8515de12046ef7d1b667b6>`__
* Fix spelling errors (Bas Couwenberg) : `879da3a <https://github.com/mapserver/mapserver/commit/879da3a6b1be03a9a343f20d9ee62ba23ee35efe>`__
* Install PHP MapScript. (Bas Couwenberg) : `b1f00f8 <https://github.com/mapserver/mapserver/commit/b1f00f837602b183504dee0c1c7e501b224a5e58>`__

.. _changelog-7.4.0-beta1:

Changes from 7.2.2 to 7.4.0-beta1
=================================
 
* Implemented workaround suggested in  `#5766 <https://github.com/mapserver/mapserver/issues/5766>`__  for compiling against Proj 6.x. (Steve Lime) : `ddc026a <https://github.com/mapserver/mapserver/commit/ddc026a6255cdd38a44798c0ccb38ae619f48d53>`__
* Update venv paths (sethg) : `e8bc45c <https://github.com/mapserver/mapserver/commit/e8bc45cae05730bffaf63a51886b99a457e85df1>`__
* Fix WORKING_DIRECTORY path for Linux (sethg) : `4476497 <https://github.com/mapserver/mapserver/commit/4476497fb42f4645b2f5155db13b069b892d90c7>`__
* Clean up redundant CMake commands, and run examples alongside test suite (sethg) : `a188e0f <https://github.com/mapserver/mapserver/commit/a188e0fce71f66cd260d0b120050b4801c47b7e0>`__
* Rewrite existing examples to be py3 compatible (sethg) : `1bb1414 <https://github.com/mapserver/mapserver/commit/1bb141453973337389cdfffbc88a0638d0da3714>`__
* Remove geocode_addresses.py as it requires an external library and web service (sethg) : `c5cfd1d <https://github.com/mapserver/mapserver/commit/c5cfd1d1425a00419688bf24f800668b0ce0810c>`__
* Add test CSV file and refactor project_csv.py example (sethg) : `16dbde8 <https://github.com/mapserver/mapserver/commit/16dbde808504f80238b64874a4379f63ae0040c0>`__
* Move wxs script to examples folder and refactor as a runnable script (sethg) : `fed48ca <https://github.com/mapserver/mapserver/commit/fed48ca691f6df4062e0095dc73384289d2f007f>`__
* Add check for NULL msGMLGetItems (Seth G) : `f6d40c8 <https://github.com/mapserver/mapserver/commit/f6d40c8408bf61c5e9a19837a66737334e2ab725>`__
* Remove duplicate .h (Seth G) : `8f6dd81 <https://github.com/mapserver/mapserver/commit/8f6dd81b7c65c42d0f30e5f444fbb301b656518e>`__
* Update point geojson expected test output (sethg) : `fac0a52 <https://github.com/mapserver/mapserver/commit/fac0a52f7ec311dff5056a8afaa255cdd7a7ed08>`__
* Update tests to check field types (sethg) : `8c2e5ec <https://github.com/mapserver/mapserver/commit/8c2e5ec369c90d49e7a4b8777541ab7e0796ba96>`__
* Return the item GML type as a string rather than object (sethg) : `3e69819 <https://github.com/mapserver/mapserver/commit/3e698196a119f733f2697945360bc7cc298bf101>`__
* Roll back adding mapows.h to SWIG interface (sethg) : `e91f174 <https://github.com/mapserver/mapserver/commit/e91f174f05db19e52a1fa6d89c85a47d0b264aed>`__
* Add SWIG guards to only expose the relevant struct and function in mapows.h (sethg) : `1388143 <https://github.com/mapserver/mapserver/commit/1388143765295d76a23770061d1b0b9c15c7e3aa>`__
* Add new getItemDefinition to layerObj SWIG bindings and include tests (sethg) : `2ac55ea <https://github.com/mapserver/mapserver/commit/2ac55eabdacef7df09ff9573aa5faef074e143bf>`__
* Include mapows.h in SWIG and export the required functions (sethg) : `0260296 <https://github.com/mapserver/mapserver/commit/0260296eecfb8b9bad979fc20ba5f9034ca37ffb>`__
* Add geo_interface to shape and geometry classes with tests (sethg) : `0abe369 <https://github.com/mapserver/mapserver/commit/0abe369fb1e9250caa589f48272479afb27a0045>`__
* Fix crash on corrupt qix files ( `#2362 <https://github.com/mapserver/mapserver/issues/2362>`__ ) (Tamas Szekeres) : `7774a79 <https://github.com/mapserver/mapserver/commit/7774a791eb9acfd4f18071c08f454a50b621e0d8>`__
* Clean up SWIG file and add new __geo_interface__ protocol and tests (geographika) : `3ed8857 <https://github.com/mapserver/mapserver/commit/3ed8857466f49c9910500e9ad70b4fe62dd8b737>`__
* Standardise tabs and spaces (geographika) : `fecac40 <https://github.com/mapserver/mapserver/commit/fecac405ebc74002a23ebd16b7026ab8dfa144f4>`__
* Run Travis CI for PHP 7.3 (ejn) : `189dbe9 <https://github.com/mapserver/mapserver/commit/189dbe93036398b1a488db91ed8c7eb1e90cee3d>`__
* [mapscript/php] Fix build problems for PHP 7.3 (ejn) : `f1a579a <https://github.com/mapserver/mapserver/commit/f1a579a7ce06289c7783a4c770b78262ab409635>`__
* Add layer name to the error message of the missing fields in msOGRLayerInitItemInfo ( `#5755 <https://github.com/mapserver/mapserver/issues/5755>`__ ) (Tamas Szekeres) : `9ab8955 <https://github.com/mapserver/mapserver/commit/9ab89550d10e8736385a436132511a74eedef33a>`__
* Added explicit conversion for long attributes. (Steve Lime) : `a05d92d <https://github.com/mapserver/mapserver/commit/a05d92de8263b1c5bcfada89a9755c366d1f9061>`__
* WMS: apply FILTER (RFC 118) vendor parameter after the CRS parameter is taken into account to avoid extent inconsistencies (found during refs  `#5658 <https://github.com/mapserver/mapserver/issues/5658>`__  investigation) (Even Rouault) : `3ab3322 <https://github.com/mapserver/mapserver/commit/3ab33227c6ca35856121d36ec82bb2c55a5f8d3c>`__
* Check for MSVC rather than WIN32 when setting compiler flags (geographika) : `b559849 <https://github.com/mapserver/mapserver/commit/b559849f0106884f6e5476d4680ff84930edc3c4>`__
* Travis setup to compile mapscript_csharp for linux (R) : `a7f6436 <https://github.com/mapserver/mapserver/commit/a7f6436158ba08e823a844ef5732ef14188f5db3>`__
* mapscript_csharp compilable on Linux (Rui Lima) : `fd5641d <https://github.com/mapserver/mapserver/commit/fd5641d34801cbd74216654cae1884cd9ce83e8e>`__
* mapscript_csharp compilable on linux (R) : `f46ecbb <https://github.com/mapserver/mapserver/commit/f46ecbbfec3605a0124b770f556145ae564a8052>`__
* Remove redundant doc files (geographika) : `ac73ca7 <https://github.com/mapserver/mapserver/commit/ac73ca7a32870d8aa1b3326ab6c94e222e568e80>`__
* Add PHP doc links (geographika) : `aaaa432 <https://github.com/mapserver/mapserver/commit/aaaa432a62e48efb972c84180c5054a9dde5d3bd>`__
* Add note about v8 folder (geographika) : `9108a2e <https://github.com/mapserver/mapserver/commit/9108a2ec12cccd0c56a5b61095ac4c2543455dd3>`__
* Update README text (geographika) : `c848463 <https://github.com/mapserver/mapserver/commit/c8484633ff16344ac04bd2ce3f3c0dd7a79caf09>`__
* Change to .rst for GitHub formatting (geographika) : `14f63d9 <https://github.com/mapserver/mapserver/commit/14f63d9eb07555b8f8f4018885b268dd4e9d8358>`__
* Change setup.py parameters (geographika) : `4fffd15 <https://github.com/mapserver/mapserver/commit/4fffd15dfcc04050ca7283d0c1cc81db743fa932>`__
* Switch module name to fix  `#5708 <https://github.com/mapserver/mapserver/issues/5708>`__  (geographika) : `eaedd0b <https://github.com/mapserver/mapserver/commit/eaedd0bf392a7c54c5e9bf5e3a77a456c8044b2d>`__
* Add Unix build notes (geographika) : `c126c32 <https://github.com/mapserver/mapserver/commit/c126c32d9378a4cf35676820856a860abe3ead8b>`__
* Update install process to use custom variables (geographika) : `9356a5b <https://github.com/mapserver/mapserver/commit/9356a5b79013a8f5cd5cab2347b64ed221b6ac90>`__
* Switch module name order (geographika) : `4e2f989 <https://github.com/mapserver/mapserver/commit/4e2f989a0f10d29aa67cc260202e906ce63f9d27>`__
* Use DESTDIR and CMAKE_INSTALL_PREFIX when available (geographika) : `3ea010a <https://github.com/mapserver/mapserver/commit/3ea010a0c3492d9fae19e23ee9a8467aa19a1905>`__
* Install to site-packages (geographika) : `f2dd4a0 <https://github.com/mapserver/mapserver/commit/f2dd4a086d2fe3e0dc62c50cc493ee3ddb319c60>`__
* Add custom CMake function to check for Python module (geographika) : `5a8ad7f <https://github.com/mapserver/mapserver/commit/5a8ad7f34f7a24f02371d693950927d61b9df4dc>`__
* Change module naming for phpng (geographika) : `4bfd0c5 <https://github.com/mapserver/mapserver/commit/4bfd0c5684367a056fcb1a151d321cbf7f9a0e9e>`__
* Install Python mapscript using setup.py (geographika) : `ed187ac <https://github.com/mapserver/mapserver/commit/ed187ac4445c8209a6fd6eaf3f249d1fb4a98dfc>`__
* Hide level3/4 compiler warnings (geographika) : `8228f6e <https://github.com/mapserver/mapserver/commit/8228f6e944c2c838c064364b6bf92ac07cf93e52>`__
* removed associated comment with unused function (Sunveer Singh) : `65a479c <https://github.com/mapserver/mapserver/commit/65a479c75b69cf6d8a68706f99c208fa327d3181>`__
* No need of msWrapText according to issue  `#5609 <https://github.com/mapserver/mapserver/issues/5609>`__  (Sunveer Singh) : `9c5cf7e <https://github.com/mapserver/mapserver/commit/9c5cf7eb7baedb57673bdb2b6cf31f6adfaa9608>`__
* Merge FindPHP7.cmake and FindPHP5.cmake into FindPHP.cmake (Alexander Gabriel) : `7f847ac <https://github.com/mapserver/mapserver/commit/7f847ac76fd4b2470ed35d50bce99ed909bcbd36>`__
* Fix building-issues for PHP/Mapscript (native) in thread-safe environments and windows (Alexander Gabriel) : `368d711 <https://github.com/mapserver/mapserver/commit/368d71155fcddc7ba250cdad8821541f4d61619e>`__
* Moving function void mapscript_create_grid (Björn Boldt) : `04a11bf <https://github.com/mapserver/mapserver/commit/04a11bf669179a030814875537290bed9de0025e>`__
* Moving function mapscript_create_legend (Björn Boldt) : `8990708 <https://github.com/mapserver/mapserver/commit/899070863d2100b83017f7737021774e5202356b>`__
* Add PHP7.x-support (bjoernboldt) : `461f827 <https://github.com/mapserver/mapserver/commit/461f827b6f406c8b87a8a32bae559640e30885cf>`__
* Change URL to OpenLayers to be protocol relative (enables using built-in OpenLayers over https) (Alexander Gabriel) : `95deed6 <https://github.com/mapserver/mapserver/commit/95deed658714287118228fff13407a8063df9351>`__
* Fix RST errors and add PROJ_LIB note (geographika) : `6a38e27 <https://github.com/mapserver/mapserver/commit/6a38e27018481615074786cc273b2e0e3a06cc1b>`__
* README.rst updates (geographika) : `72e4423 <https://github.com/mapserver/mapserver/commit/72e4423c3331933b5e88d885c00e10ccb559fa36>`__
* Fix YAML (geographika) : `47f7f18 <https://github.com/mapserver/mapserver/commit/47f7f189dd242d15c744aa227804a3ff0fa83325>`__
* Disable numpoints test (geographika) : `7f963ea <https://github.com/mapserver/mapserver/commit/7f963ea520203b8c22d9b7a2bb04c8fad1563fb2>`__
* Add fast fail for Appveyor (geographika) : `f22129b <https://github.com/mapserver/mapserver/commit/f22129b8e4dea01aff238b037907b1ba0add0c9f>`__
* Change assertRaises logic as it fails on Appveyor (geographika) : `b400e28 <https://github.com/mapserver/mapserver/commit/b400e284075eaa93b6d6e18f490e4547afb6b55d>`__
* Run tests on Python3 (geographika) : `8dec121 <https://github.com/mapserver/mapserver/commit/8dec121dd4cabe2472f8f3d3c8d6658210bb86d1>`__
* Turn off print statements (geographika) : `bec21e6 <https://github.com/mapserver/mapserver/commit/bec21e6dfaf7e6237c3a256d8db1e5340fa3b336>`__
* Re-add outstanding tests with linting (geographika) : `2f380a7 <https://github.com/mapserver/mapserver/commit/2f380a7fcbe4df55e0e73ec00dd3d4cef9d2b5fe>`__
* Add a py2/py3 check and use the appropriate argument for writing to binary files (geographika) : `9622306 <https://github.com/mapserver/mapserver/commit/9622306c9d9a149dbbd6a0786a194fc6a5a5e097>`__
* Replace tabs with spaces causing compiler warnings (geographika) : `e7fc3ca <https://github.com/mapserver/mapserver/commit/e7fc3cab3f05cece84f2424b16c7b66edb1e966a>`__
* Lint fixes (geographika) : `53e5d1c <https://github.com/mapserver/mapserver/commit/53e5d1c3a1f51b3a910a841960bbc0742871a91c>`__
* Update query API to fix tests (geographika) : `b635997 <https://github.com/mapserver/mapserver/commit/b63599704e5f018cf80297353b0e1d199cd65a63>`__
* Update assertRaises syntax to fix test (geographika) : `52bd312 <https://github.com/mapserver/mapserver/commit/52bd312942f216cab9efdebddb67872014a9bd76>`__
* Update zoom tests to reflect new rect extents (geographika) : `d799002 <https://github.com/mapserver/mapserver/commit/d7990027a1ac3ab7de7bf3aa291f6569f994eaff>`__
* Linting fix (geographika) : `a64ef13 <https://github.com/mapserver/mapserver/commit/a64ef130379b8a2aa4d724182082d6d9f88c754a>`__
* Remove broken custom Python imageObj constructor code (geographika) : `275b91f <https://github.com/mapserver/mapserver/commit/275b91f6cdfa2e0646f4f95ee9aef2e657011542>`__
* Fix broken symbol tests, remove GD as default renderer (geographika) : `f3edb87 <https://github.com/mapserver/mapserver/commit/f3edb872a7aa5de943b24c0b1cdff87dc98146f8>`__
* Use new query API for style test (geographika) : `ce97bc8 <https://github.com/mapserver/mapserver/commit/ce97bc8607cab6f2d2fbf9ca005f839ad8d81d89>`__
* hashTableObj extensions moved to pyextend (geographika) : `693ac0f <https://github.com/mapserver/mapserver/commit/693ac0f092650e8db6323db2eed8b3821e82d7de>`__
* Move hashTableObj extension to pyextend, fix image writing for py3, and fix regex deprecation warnings (geographika) : `3ca427c <https://github.com/mapserver/mapserver/commit/3ca427c5a89dc6dbe79c9ec068c69cff7ebe0b09>`__
* Add version revision number to package version (geographika) : `45e5c9a <https://github.com/mapserver/mapserver/commit/45e5c9a57add30827e495d8ade1ff7f089f18e4d>`__
* Update API for testGetShape test and change assert\_ to assertTrue (geographika) : `c4f37d2 <https://github.com/mapserver/mapserver/commit/c4f37d2f48c63e560f4021e1697e8b260bf535db>`__
* Update README.WIN32 for PHP-Mapscript-NG (Alexander Gabriel) : `b105eaa <https://github.com/mapserver/mapserver/commit/b105eaa48f13b1781506e74b148f38016ba0c613>`__
* Corrected Error in CMakeLists.txt (Alexander Gabriel) : `1fa689b <https://github.com/mapserver/mapserver/commit/1fa689bdfbd2613e275c9332ccecfeba27afd705>`__
* Build PHPNG-Mapscript on systems with correct CMake and SWIG Version (Alexander Gabriel) : `1f50e61 <https://github.com/mapserver/mapserver/commit/1f50e610032f9b4347411c87a9772bfc545d21da>`__
* travis: only build with supported php versions (Alexander Gabriel) : `8e4b0f0 <https://github.com/mapserver/mapserver/commit/8e4b0f0927a71a406caa14ec0c4d4aa4cfaadbfb>`__
* Make Travis stop building with PHP-5.5 (not supported any more. see http://php.net/supported-versions.php) (Alexander Gabriel) : `caa1ecc <https://github.com/mapserver/mapserver/commit/caa1ecc943935277ad4fb5756f5da73bc27f8202>`__
* dont install phpng on windows (Alexander Gabriel) : `96e66d3 <https://github.com/mapserver/mapserver/commit/96e66d3aa7f4d0345c23a15a925d297eaa352cec>`__
* add install target for phpng mapscript extension (Tobias Wawryniuk) : `0c1b000 <https://github.com/mapserver/mapserver/commit/0c1b000f5471f1651e37f1dc01a271d10b7e6efd>`__
* add module version info; for phpinfo() etc. (Tobias Wawryniuk) : `cd32df8 <https://github.com/mapserver/mapserver/commit/cd32df83db730c9fefb601ecbc725d41673d30f5>`__
* Add Support for PHP-NG MapScript (via SWIG) but don't yet build with AppVeyor (Alexander Gabriel) : `7de2cd9 <https://github.com/mapserver/mapserver/commit/7de2cd942fd5715e5b670651ebbb11e3feaafb17>`__
* Add in missing namespaces (geographika) : `85019ea <https://github.com/mapserver/mapserver/commit/85019eade54d36038935c204ef0975c3509cdfb7>`__
* Update SWIG to 3.0.12 (geographika) : `6734fb2 <https://github.com/mapserver/mapserver/commit/6734fb27feb2160ff9b8d22523dddcd6000ee4b4>`__
* Move zipping to after_test (geographika) : `b6d28b5 <https://github.com/mapserver/mapserver/commit/b6d28b56069e25f11cf1bf16a4750e4a9eb533ef>`__
* Correct zip path (geographika) : `3a2a38d <https://github.com/mapserver/mapserver/commit/3a2a38d2525ff5525d0502fce050d9528f82fdbe>`__
* Remove tabs from appveyor (geographika) : `f1182b8 <https://github.com/mapserver/mapserver/commit/f1182b85c4ab373a9903d4cca1b339dc6fab3b81>`__
* Save built output to a downloadable zip to check output (geographika) : `55d2242 <https://github.com/mapserver/mapserver/commit/55d2242a5d0fc76beb96c1f6aa8075ad455ad278>`__
* Fix namespaces and double definition of mapscriptPINVOKE (geographika) : `70ba392 <https://github.com/mapserver/mapserver/commit/70ba3929f4b064c8bf8c34d7238b65179cbb51a6>`__
* Make flake8 a separate custom command (geographika) : `d392122 <https://github.com/mapserver/mapserver/commit/d392122197a21d242798003e7435368eb77c622c>`__
* Add pip caching to speed up builds (geographika) : `969ed53 <https://github.com/mapserver/mapserver/commit/969ed53f5764d6162bd595636334ca3a653eeaea>`__
* Add flake8 to virtual environment and run linting on test cases (geographika) : `aa2844e <https://github.com/mapserver/mapserver/commit/aa2844ea66dd7794f65c10d7ff979fe04469f6b1>`__
* Add .NET namespaces (geographika) : `c07a1c8 <https://github.com/mapserver/mapserver/commit/c07a1c83c4eff8b5567d27be40bb30102b60c5c5>`__
* Update Python code to meet flake8 linting standards, remove custom test runner code, and rename files to match pytest naming conventions (geographika) : `2ccbe0d <https://github.com/mapserver/mapserver/commit/2ccbe0d408406484d779f6c49c8f27d466687e6e>`__
* Remove FLTGetMapserverExpression() and subroutines that are not used in code base. FLTGetCommonExpression() does the same (Even Rouault) : `7beddff <https://github.com/mapserver/mapserver/commit/7beddffd43fcf3be5fccd97fd778606d141a76d0>`__
* mapscript/python/CMakeLists.txt: fix for appveyor and travis (Even Rouault) : `d50430b <https://github.com/mapserver/mapserver/commit/d50430b959d91ec55bb7a0954ae5bb86b0ec43ec>`__
* Update README.rst with notes about testing and new build process (geographika) : `52c41df <https://github.com/mapserver/mapserver/commit/52c41dfb6370cc85ff5375e8f5dbf31a8d465b6b>`__
* Use correct virtualenv location (geographika) : `d9d916a <https://github.com/mapserver/mapserver/commit/d9d916a23aafeb1ac3ff2944eeb62853df7b5605>`__
* Use CMAKE_BUILD_TYPE for MSCV subfolder (geographika) : `beab44d <https://github.com/mapserver/mapserver/commit/beab44d818f32272285bac9d1c6ad2f6145c66ee>`__
* Remove incorrect variable (geographika) : `3f20197 <https://github.com/mapserver/mapserver/commit/3f201973ac19655e498eb5c7094e2e6d61097af3>`__
* Check for Release subfolder for MSVC (geographika) : `4739211 <https://github.com/mapserver/mapserver/commit/473921127ea8d298c96e5e1b24152945f992df0a>`__
* Add wheel building to Appveyor (geographika) : `8bef6c9 <https://github.com/mapserver/mapserver/commit/8bef6c918c7ad552e201f8ee3f043f594994ce87>`__
* Rename all test files to be picked up by pytest (geographika) : `5dcc5d1 <https://github.com/mapserver/mapserver/commit/5dcc5d1c2f9a1ffa48be69c73b5335084e02c292>`__
* Rename test file to be picked up by pytest (geographika) : `ecf8db4 <https://github.com/mapserver/mapserver/commit/ecf8db4546ba5d9f617f0bb6c59c8276229aa64a>`__
* pytest.ini no longer required (geographika) : `4ec9323 <https://github.com/mapserver/mapserver/commit/4ec932383ae9e9638493fdeb4e08ae166676b651>`__
* Use test data from within the mapscript package (geographika) : `832c0a1 <https://github.com/mapserver/mapserver/commit/832c0a1344ca2313be036e15222739f4e3163ea7>`__
* Ensure latest versions on setuptools and wheel are installed (geographika) : `5ac111f <https://github.com/mapserver/mapserver/commit/5ac111f4d18dfda048e9fe1d5017b0c9ccc36560>`__
* Update build process to create a virtual environment and install and test the wheel in this (geographika) : `660808f <https://github.com/mapserver/mapserver/commit/660808f42587eb9edca29e239387c912cd200841>`__
* Add tests and test data to package (geographika) : `c144dd0 <https://github.com/mapserver/mapserver/commit/c144dd03e2772c1b9de413a4f1a5fdd5d82c4f34>`__
* Fix incorrect CMake comment (Seth G) : `3d28cac <https://github.com/mapserver/mapserver/commit/3d28caca82d1e87f1d6efd7e7d31057d5e8b5698>`__
* Updated README (geographika) : `421b0cb <https://github.com/mapserver/mapserver/commit/421b0cb85c6c469d424895f456fe8cfdcfe31d56>`__
* Only add build type to path for Windows (geographika) : `b17ad61 <https://github.com/mapserver/mapserver/commit/b17ad6103a60edcd1135db38ee1b3ad7a2e255d5>`__
* Don't specify release target for CMake (geographika) : `d22d57e <https://github.com/mapserver/mapserver/commit/d22d57e1c8a4219d43a5a6cf2342bcb42340144f>`__
* Run wheel build as a separate command (geographika) : `9c92062 <https://github.com/mapserver/mapserver/commit/9c92062d5a07ec0a265e1cd0955e3c4e749f2789>`__
* Add Python wheel builds to Makefile with tests (geographika) : `cb6a785 <https://github.com/mapserver/mapserver/commit/cb6a785777f513968348185e2512bfd52813a534>`__
* Update date and compatibility notes (geographika) : `5a48d73 <https://github.com/mapserver/mapserver/commit/5a48d73014d4891086f86143370eaa1edfbf0258>`__
* Add Python3 SWIG build flag, and new Python wheel target (geographika) : `fc780d8 <https://github.com/mapserver/mapserver/commit/fc780d8e0babb6989c624b5bbd19091cee9006d4>`__
* Ensure wheels include platform names (geographika) : `10ef05b <https://github.com/mapserver/mapserver/commit/10ef05bc1832eb16035ca1b1baffdb3f9c14bd71>`__
* Credit updates and further explanations (geographika) : `4e6b96e <https://github.com/mapserver/mapserver/commit/4e6b96e6b7aece00fad50bf2986c2aa78566d77d>`__
* Use relative imports for Python3 (geographika) : `a4985ad <https://github.com/mapserver/mapserver/commit/a4985ad47f93d1be3b58fc6caaf07bea41faa1a0>`__
* Update wheel commands (geographika) : `6af78dd <https://github.com/mapserver/mapserver/commit/6af78ddc1dc6be8fea2fc4c0ba69043cacee8ed2>`__
* Use io module to open file (geographika) : `db22ea3 <https://github.com/mapserver/mapserver/commit/db22ea37683c4b77771a37455b536c27b29799a4>`__
* Remove old setup.py (geographika) : `37877c7 <https://github.com/mapserver/mapserver/commit/37877c744cb726a08b8a448ac75c76b6d27deaf8>`__
* Copy README.rst to build folder (geographika) : `98ed5d2 <https://github.com/mapserver/mapserver/commit/98ed5d224f61625e0002fd059ab7384008001553>`__
* Format credits list (geographika) : `267dc94 <https://github.com/mapserver/mapserver/commit/267dc94f5e245108d21d245e25d72079e51bac4e>`__
* Update ReadMe in RST format (geographika) : `ab73320 <https://github.com/mapserver/mapserver/commit/ab7332003f6ee2800f4b408772c04890d0176b6f>`__
* greater should be all UPPERCASE (geographika) : `fbd7dd2 <https://github.com/mapserver/mapserver/commit/fbd7dd21d804f08f75ae16e210ba3ce42358a347>`__
* Check class name directly (geographika) : `e2e1432 <https://github.com/mapserver/mapserver/commit/e2e143231f0c8fdfe7f4d0c6dfbdbeca94605d71>`__
* Allow SWIG modules to be built with old or new versions of CMake (geographika) : `609db8c <https://github.com/mapserver/mapserver/commit/609db8c32da29d4818f70dcfe7ead2f84a7b2150>`__
* Update tests to check class names and not fully qualified names (allows direct import and install via a Wheel) (geographika) : `bab65ad <https://github.com/mapserver/mapserver/commit/bab65adb470cd1048278c54af9c3d04e3e36684c>`__
* Images are now RGB rather than 8-bit when tested using Pillow (geographika) : `6ec6085 <https://github.com/mapserver/mapserver/commit/6ec6085647496eacb3284e93a9058ba50cbe769f>`__
* Run tests from root of build folder to avoid adding empty mapscript module from working directory (geographika) : `38d2699 <https://github.com/mapserver/mapserver/commit/38d269945e2aac7d9ed3b226531feec21ce502f2>`__
* Add pillow as dependency for tests (geographika) : `7553209 <https://github.com/mapserver/mapserver/commit/75532096a72032522c10f942a2452e50e55ec0fa>`__
* Create template setup.py (geographika) : `320ef1c <https://github.com/mapserver/mapserver/commit/320ef1c8b856c06a182b582ded52b4def1fa32e3>`__
* Add init files so modules are found (geographika) : `e4789e3 <https://github.com/mapserver/mapserver/commit/e4789e372057d10c46d75dcc83359d50d06174fc>`__
* setup.cfg no longer required (geographika) : `0f7366a <https://github.com/mapserver/mapserver/commit/0f7366aed194727d045a902e51f6bd24731f5266>`__
* Update CMakeLists.txt to place copy files required to build a wheel (geographika) : `893db54 <https://github.com/mapserver/mapserver/commit/893db5434b72b36c1802297caa16475245a75be2>`__
* Replace %CD% with APPVEYOR_BUILD_FOLDER (Seth G) : `0ac75fd <https://github.com/mapserver/mapserver/commit/0ac75fd10ab87b25abbffd0b3f6cbdd05e843229>`__
* Replace backslashes in APPVEYOR_BUILD_FOLDER with forwardslashes (Seth G) : `e574ee6 <https://github.com/mapserver/mapserver/commit/e574ee64be7ea2e13692e3544b6388085e40ea6c>`__
* Replace backslashes with forward slashes (Seth G) : `2662ff7 <https://github.com/mapserver/mapserver/commit/2662ff7d4936778891c403a0abe397c5272165c2>`__
* Fix mssql filter string limitation ( `#5602 <https://github.com/mapserver/mapserver/issues/5602>`__ ) (Tamas Szekeres) : `59f82a1 <https://github.com/mapserver/mapserver/commit/59f82a196423f0fcec9ef6ad045ff95d8b09bb7f>`__
* msPostGISBuildSQLWhere: quote the geo column name (Clemens Ladisch) : `52b724e <https://github.com/mapserver/mapserver/commit/52b724e8245aec88d86a7d860761239b0fe38895>`__












































